GET /translate/result/{job_id} Requires Auth

Get translation result

Get the result of a completed translation job. Returns download URL or HTML page.

Test Endpoint

Parameters

job_id * path string

Job identifier

Example:

a1b2c3d4
format query string

Response format

Example:

json

Allowed Values:

html json

Code Examples

curl -X GET \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  'https://nexus-api.dhurgham.dev/api/file-translation-api/translate/result/a1b2c3d4?format=json'
Example cURL Request
curl -X GET \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  'https://nexus-api.dhurgham.dev/api/file-translation-api/translate/result/a1b2c3d4?format=json'
frontend.example_response
{
    "success": true,
    "download_url": "https://nexus-api.dhurgham.dev/api/file-translation-api/dl/abc123",
    "text": "string",
    "message": "string"
}